<?php  
	include "conexion.php";
	include "insertar_log.php";

	$id_aplicacion = "0";

	//$datos = " Ingresa a obtener_permisos_usuarios ";	
		//insertarLog($datos,$id_aplicacion);

	$usuario = $_POST['usuario'];
	$PreguntaImprimeTicket=0;
	$ImprimeQRG500=0;
	$TicketRifa=0;

	$array = array();
 	
 	$sentencia = $conexion->prepare("SELECT valor from parametros where id_parametro='PreguntaImprimeTicket'" );
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	
	$cont=0;

	while($fila = $resultado->fetch_assoc())
	{
		$PreguntaImprimeTicket= $fila['valor'];
	}

	$sentencia->close();
	//$datos = " Se obtuvo valor PreguntaImprimeTicket= ".$PreguntaImprimeTicket;	
	//	insertarLog($datos,$id_aplicacion);

	$sentencia = $conexion->prepare("SELECT valor from parametros where id_parametro='ImprimeQRG500'" );
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	
	$cont=0;

	while($fila = $resultado->fetch_assoc())
	{
		$ImprimeQRG500= $fila['valor'];
	}

	$sentencia->close();
	//$datos = " Se obtuvo valor ImprimeQRG500= ".$ImprimeQRG500;	
	//	insertarLog($datos,$id_aplicacion);

	$sentencia = $conexion->prepare("SELECT valor from parametros where id_parametro='TicketRifa'" );
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	
	$cont=0;

	while($fila = $resultado->fetch_assoc())
	{
		$TicketRifa= $fila['valor'];
	}

	$sentencia->close();
	//$datos = " Se obtuvo valor TicketRifa= ".$TicketRifa;	
	//	insertarLog($datos,$id_aplicacion);

	$sql = "select ";
	$sql .= "po.pantalla_nombre,";
	$sql .= "po.objeto_nombre,";
	$sql .= "p.permiso ";
	$sql .= "from ";
	$sql .= "permiso p ";
	$sql .= "left join pantalla_objeto po on (po.id_pantalla=p.id_pantalla and po.id_objeto=p.id_objeto and p.id_aplicacion=po.id_aplicacion) ";
	$sql .= "where ";
	$sql .= "p.id_aplicacion=8 ";
	$sql .= "and ";
	$sql .= "p.id_usuario='".$usuario."' ";
	
	
	$sentencia = $conexion->prepare($sql);
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	
	$cont=0;
	while($fila = $resultado->fetch_assoc())
	{
		$bomba['pantalla'] = $fila['pantalla_nombre'];
		$bomba['objeto'] = $fila['objeto_nombre'];
		$bomba['permiso'] = $fila['permiso'];
		$bomba['PreguntaImprimeTicket'] = $PreguntaImprimeTicket;
		$bomba['ImprimeQRG500'] = $ImprimeQRG500;
		$bomba['TicketRifa'] = $TicketRifa;
		$array[$cont] = $bomba;
		$cont++;
	}

	$datos = " Se obtuvo permisos del usuario= ".$usuario;	
		insertarLog($datos,$id_aplicacion);

	echo json_encode($array,JSON_UNESCAPED_UNICODE);
	$sentencia->close();
	$conexion->close();

?>